Appoint the practitioner
POST https://api.company-information.service.gov.uk/transactions/{transaction_id}/insolvency/practitioners/{practitioner_id}/appointment
| Parameter name |
Value |
Description |
Additional |
| transaction_id |
string |
The transaction that this insolvency case is applied to
|
Required |
| practitioner_id |
string |
The unique practitioner id
|
Required |
The request body takes a complete
appointment resource, containing the following writable properties:
{
"appointed_on": "date",
"made_by": "string"
}
| Name |
Type |
Description |
Additional |
|
appointed_on
|
date |
|
|
|
made_by
|
string |
Possible values are:
|
|
This request requires the use of one of following authorisation methods:
OAuth2.
For OAuth 2 authorisation, the following scopes are required:
| Scope |
Description |
| https://api.company-information.service.gov.uk/company/*/insolvency.write-full |
Grants full Insolvency Practitioner access |
| https://identity.company-information.service.gov.uk/user/profile.read |
User profile read permission |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code |
Description |
Resource |
| 201 |
Created Practitioner appointed
|
practitionerAppointment |
| 400 |
Bad Request Bad request
|
|
| 401 |
Unauthorized Unauthorized
|
|
| 403 |
Forbidden Forbidden
|
|
| 404 |
Not Found Transaction not found
|
|